Subject: Re: Help enabling PCI endpoint on 460EX, host sees disabled

From: Ira Snyder <[email-masked]>
Date: Wed, 10 Dec 2008 16:17:58 -0800

On Wed, Dec 10, 2008 at 05:29:53PM -0600, Ayman El-Khashab wrote:
> My system consists of a pair of 460EXs attached by way of both PCI-E and
> PCI.  Ultimately my goal is to communicate between them via pci-e (is
> there anything out there that does this already?).

I can't help you with that exact board, but I've written an "ethernet
over PCI" driver for Linux and U-Boot. The Linux driver has been posted
here on linuxppc-dev and on the lkml. Search for "net: add PCINet
driver" and you'll find it.

It won't work on your board, but it should serve as a good example about
how to communicate over PCI.

You are the third user asking for something like this recently. :) Too
bad the mainline kernel developers seem to be mostly ignoring the
driver I wrote.

Definitely get PCI/PCI-E working and stable before you try to start
communicating between the devices, though.

Ira